# Portfolio
Hi this is a non-exhaustive list of my personal projects. It appears I like making things with computers.

# hardware
### leko pona
`2022-08`
[git.crispypin.cc/CrispyPin/leko-pona](https://git.crispypin.cc/CrispyPin/leko-pona)
==image:"/media/leko_tonsi.png":"leko pona, a split keyboard with blank keycaps in the trans flag colours"

## ch32v003 oled board
project files: [git.crispypin.cc/CrispyPin/ch32_oled](https://git.crispypin.cc/CrispyPin/ch32_oled)
### bad apple
`2024-04`
[git.crispypin.cc/CrispyPin/bad-apple/](https://git.crispypin.cc/CrispyPin/bad-apple/)
==youtube:G0eonL14tCQ
### Conways Game of Life
`2024-04`
==video:"/media/ch32_gol.mp4":"conways game of life on a tiny display"
### Runner game
`2024-04`
==video:"/media/musi_pi_soweli_tawa.mp4":"simple runner game, similar to the chrome dino game"

## rotary encoder keyboard
# jam games
LD is the [Ludum Dare game jam](https://ldjam.com/), where you have 3 days to create a game fitting to a theme that is revealed when the jam starts.

All the below games except for `LD45: Mind the Gap` I made together with [Erikbot](https://github.com/ErikBot42). I have done both art and programming for all of them.
### LD50: Pixel Entropy
`2022-04`
[crispypin.itch.io/ld-50](https://crispypin.itch.io/ld-50)
[github.com/CrispyPin/ld-50](https://github.com/CrispyPin/ld-50)
==image:"/media/pixel_entropy.png":"a 2D pixel physics sandbox"
### LD49: Shork Inc
### LD48: Shork
### LD47: Dynamic Flux Entropy
### LD46: Tree Shroomulator
### LD45: Mind the Gap
### Blackthornprod gamejam 2: Starship: Conquer Space
### LD43: The robot's adventure
### LD42: Forklift Simulator
# shaders
### partial QR code

### quine
### golfed quines
### sunset
### julia fractal
## andriod
### binary clock variants
## raymarching
### libgarbage
### libgarbage demo
### spinny demo
### flesh cube
### big nut
### loops
==video:"/media/rm_looping_loops.mp4":"11 rectangular frames moving through each other smoothly":loop=true
### boxes
==video:"/media/rm_boxes.mp4"
## cellular automata
### game of life
### rule 110
### WireWorld
### Lenia/smoothlife
## godot
### voxel raymarcher
# utilities
### snoud
### htmd
### webserver
### julia fractal renderer
### brainfuck debugger
### text editor lili
### compiler-timer
### GDVK godot virtual system input
## SteamVR
### OVR Utils
### sinpin-vr
### steamvr_status
# creative coding
### snad
# Silly
### worm lang
### advent of code 2023 day 1 and 4 in brainfuck
### asetniop emulator for x11
### june
### neuralblender-mc
### minesweeper-rs
### rust-mandelbrot
### voxel-meshing godot c++
### CounterBot
### gymnasiearbete: multiplayer voxel game godot
